Package: org.gradle.api.file

## [Java] Class UnableToDeleteFileException

- org.gradle.api.file.UnableToDeleteFileException

- Thrown by Gradle when it is unable to delete a file.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `UnableToDeleteFileException (File file)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `File` | `getFile()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public UnableToDeleteFileException(File file)

  - ### Method Detail

    - #### public File getFile()